Skip to content

WebAPI.Host (3.0)

Download OpenAPI description
Languages
Servers
Mock server

https://{{your_venus_webapi_ip_address}}/

Cameras

Operations

Devices

Operations

ErrorHandler

Operations

Files

Operations

Verifies the archive file contains the manifest

Request

Security
Bearer
Query
sourcestring
deststring
manifestPathstring
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/verify-manifest?source=string&dest=string&manifestPath=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

Export diagnostic data for a method execution instance.

Request

Output file is created with a .zip extension.

Security
Bearer
Body
methodPathstring
runGuidstring
filePathstring
exportMethodboolean
exportCommTraceboolean
exportVenusLogsboolean
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/export-diagnostic-files' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "methodPath": "string",
    "runGuid": "string",
    "filePath": "string",
    "exportMethod": true,
    "exportCommTrace": true,
    "exportVenusLogs": true
  }'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object, Saves export package file.

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

Get available (or filtered) runtime file information.

Request

Potentially obviated (deprecated) by M:Hamilton.WebAPI.Host.Controllers.V3.FilesController.GetRunHistoryData(System.String,Hamilton.WebAPI.Common.Ordering,System.Int32,System.Int32,System.Nullable{System.DateTime},System.Nullable{System.DateTime},System.String).

Security
Bearer
Query
filterboolean

Boolean flag to filter date range, if true; otherwise all available runtime file information is returned.

fromDatestring(date-time)

Start date/time if filter = true.

toDatestring(date-time)

End date/time if filter = true.

curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/runtime-data?filter=true&fromDate=2019-08-24T14%3A15%3A22Z&toDate=2019-08-24T14%3A15%3A22Z' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.RuntimeFileList object.

Body
filesArray of objects(ICollection<RuntimeInfo>)read-only
Response
{ "files": [ {} ] }

InstrumentData

Operations

RunExecutor

Operations

System

Operations

Users

Operations